Bug 90190 - Mismatched defaults in DPI settings
Mismatched defaults in DPI settings
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 05:04 EDT by Mattias Dahlberg
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-23 17:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Dahlberg 2003-05-05 05:04:51 EDT
Description of problem:

Here comes an easy one.

The drop-down box in DPI settings says "Inch" by default, while the values are
presented in millimeters.


How reproducible:
Always

Steps to Reproduce:
1. Open redhat-config-xfree86
2. Open Advanced -> Set DPI...
3. Check the input fields
Comment 1 Mike A. Harris 2003-05-05 14:54:53 EDT
That isn't a bug, it is intentional.  All monitors and other displays state
their dimensions in millimeters, as are the EDID values returned by DDC.

If someone is using the values from a monitor's manual, they will be in
millimeters always, possibly with inches secondary.

The majority of the free world is metric.  If we were to change anything,
I would suggest changing "DPI" to DP25.4mm".  <grin>

Closing report as NOTABUG.
Comment 2 Mike A. Harris 2003-05-05 21:10:20 EDT
I might have misinterpreted you above... not sure.  I ran the tool to
check that it did what I thought it did, and it does, however I'm not
sure now if you are suggesting that the default input should be in inches,
or if you're saying it says one thing and does another.

Please clarify.
Comment 3 Mattias Dahlberg 2003-05-06 05:07:26 EDT
Yes, you misinterpreted me. Having millimeters as default is fine with me, it's
just that when you first open the DPI dialog the values are specified in
millimeters, although the measurement unit is set to inch.

Screenshot: http://users.du.se/~mda/dpidialog.png

The very easy fix is to set the default for the drop-down box to Millimeter.
Comment 4 Mike A. Harris 2003-05-07 02:29:36 EDT
Ah yes, I understand now.  Indeed this should be fixed.

Also, it should really say "inches" and "millimetres" to sound right vocally.

"320 millimetre" or 21.4 "inch" doesn't sound right.
Comment 5 Brent Fox 2003-05-23 17:28:24 EDT
Should be fixed in redhat-config-xfree86-0.7.5-1 in Rawhide.  Thanks for your
report.

Note You need to log in before you can comment on or make changes to this bug.